import { createRouter, createWebHistory } from 'vue-router'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/learnMore',
      name: 'learnMore',
      meta: {
        title: '了解更多',
        navBar: false
      },
      component: () => import('../views/learnMore/index.vue'),
    },
    {
      path: '/parents/home',
      name: 'parentsHome',
      meta: {
        title: '全部功能',
      },
      component: () => import('../views/parents/home/index.vue'),
    },
    {
      path: '/parents/homeWorkStatistics',
      name: 'homeWorkStatistics',
      meta: {
        title: '作业统计',
      },
      component: () => import('../views/parents/homeWorkStatistics/index.vue'),
    },
    {
      path: '/parents/AICorrect',
      name: 'AICorrect',
      meta: {
        title: '智能批改',
      },
      component: () => import('../views/parents/AICorrect/index.vue'),
    },
    {
      path: '/parents/tutorship',
      name: 'tutorship',
      meta: {
        title: '作业辅导',
      },
      component: () => import('../views/parents/tutorship/index.vue'),
    },
  ],
})

export default router
